Portal-Zone Gothic-Zone Gothic II-Zone Gothic 3-Zone Gothic 4-Zone Modifikationen-Zone Download-Zone Foren-Zone RPG-Zone Almanach-Zone Spirit of Gothic

 

Page 2 of 3 « First 123 Last »
Results 21 to 40 of 56
  1. View Forum Posts #21 Reply With Quote
    Ritter
    Join Date
    Jun 2009
    Posts
    1,461
     
    Aeterox is offline
    ToxAtec hat gestern im Gothic 1-Technikforum eine Lösung für das von Bas geschilderte Problem mit den fehlenden Texturen und dem Menü gepostet, welches auftritt, wenn man die OpenSource-Treiber verwendet. Diese Lösung hat sowohl bei ihm und bei mir funktioniert (dabei verwenden wir Grafikkarten von verschiedenen Herstellern, Intel und ATI). Wenn weitere Personen das Problem so lösen können sollten, dann bitte ich darum die Anleitung zu ergänzen oder den Beitrag von ToxAtec aufzunehmen und auch in der Gothic 1-Technik anzupinnen.

    Der VDFS32g.exe Fehler tritt bei uns beiden auch auf, das Spiel startet trotz der Fehlermeldung jedoch normal. Hast du den VDFS-Patch installiert?
    Last edited by Aeterox; 23.10.2010 at 19:47.

  2. Visit Homepage View Forum Posts #22 Reply With Quote
    Sword Master Bas's Avatar
    Join Date
    Jun 2008
    Posts
    884
     
    Bas is offline
    Verweis?

    Hast du den VDFS-Patch installiert?
    Nein.
    Die alte Signatur, die nervte nur.

  3. View Forum Posts #23 Reply With Quote
    Ritter
    Join Date
    Jun 2009
    Posts
    1,461
     
    Aeterox is offline
    Sorry habe den Link vergessen einzufügen. Ist jetzt drin.

    Hier noch der Link für den VDFS-Patch. ToxAtec braucht ihn nicht, er scheint also nicht zwingend notwendig zu sein.

  4. View Forum Posts #24 Reply With Quote
    Lehrling
    Join Date
    Oct 2010
    Posts
    19
     
    LynxEffect is offline
    Quote Originally Posted by Bas View Post
    Hm, bei mir erschien nur direkt Directx9 zur Auswahl /info

    Hast du egtl. auch so genug Erfahrung mit Wine, um mir bei einem anderen Spiel weiterhelfen zu können? ^

    Edit:
    Moin!

    Geht das auch mit einer bestehenden GII-Installation?

    Die Gothic.ini kann ich leider nicht ändern, beim Speichern erhalte ich die Meldung "Anfrage nicht unterstützt"...

    Ist eben auch beim Starten abgestürzt, iwas mit VDFS32g.exe-Fehler...

    Eben hat er nur den Ladebildschirm von Gothic 2 angezeigt (der vor dem Hauptmenü mit den Wassermagiern) und scheinbar nicht weiter gemacht.

    Oder ist mein System mit 2.1 Ghz (singlecore) udn 1 GB RAM einfach zu schwach, um G2 in wine auszuführen?
    Um welches Spiel handelt es sich denn bei dem ich noch helfen soll?

    VDFS Fehler kommt bei mir auch ab und an. Das ist die Virtualisierung die fehl schlägt, aber das Spiel startet trotzdem. Ist bei mir zum Glück nicht immer

    Hat denk ich mal nix mit der Hardware zu tun, aber nur so aus neugier? Welche Grafikkarte isn bei dir drin? Wenn ATI dann is das sowieso so eine Sache mit Linux ... nur mal am Rande

  5. Visit Homepage View Forum Posts #25 Reply With Quote
    Sword Master Bas's Avatar
    Join Date
    Jun 2008
    Posts
    884
     
    Bas is offline
    Quote Originally Posted by LynxEffect View Post
    Um welches Spiel handelt es sich denn bei dem ich noch helfen soll?

    VDFS Fehler kommt bei mir auch ab und an. Das ist die Virtualisierung die fehl schlägt, aber das Spiel startet trotzdem. Ist bei mir zum Glück nicht immer

    Hat denk ich mal nix mit der Hardware zu tun, aber nur so aus neugier? Welche Grafikkarte isn bei dir drin? Wenn ATI dann is das sowieso so eine Sache mit Linux ... nur mal am Rande
    Microsoft Freelancer...

    <- ATI 9550

    Bzgl. Gothic:
    http://forum.worldofplayers.de/forum...&#post14300095
    Die alte Signatur, die nervte nur.

  6. View Forum Posts #26 Reply With Quote
    Lehrling
    Join Date
    Oct 2010
    Posts
    19
     
    LynxEffect is offline
    Freelancer geht nicht auf Linux Schon probiert. geht leider überhaupt nicht.

    uuuh eine ATI und Linux? Uuuh das nix gut. ATI weigert sich für Linux Treiber herzustellen, also was zumindest das aktuellere Zeug angeht.

  7. Visit Homepage View Forum Posts #27 Reply With Quote
    Sword Master Bas's Avatar
    Join Date
    Jun 2008
    Posts
    884
     
    Bas is offline
    Naja, laut APPDB haben wohl einige Leute Freelancer zum Laufen gebracht.

    Ich komme ja immerhin ins Hauptmenü ^^

    Aber Gothic spielbar unter Linux wäre ja auch schonmal etwas für mich...(sprich, Texturenfehler und Sprachecho/-ruckeln beseitigt)
    Die alte Signatur, die nervte nur.

  8. View Forum Posts #28 Reply With Quote
    Lehrling
    Join Date
    Oct 2010
    Posts
    19
     
    LynxEffect is offline
    Naja bezweifel ich das es so einfach möglich ich Halte dich an die Sachen in der APPDB, mehr weiß ich auch nicht.

    Also bei mir gehen alle Gothic Versionen xD Außer die 3
    Is teilweise richtig geil Intel + Nvidia zu haben


    Texturfehler scheinen Treiber bedingt zu sein wie schon gesagt worden ist bei dir. Das müsstest du mal selber probieren da kann ich leider nix machen. Vllt hilft es noch opengl einzustellen. Probieren geht über studieren ...

    Geh in die Konsole
    Code:
    wine regedit
    Dann bis HKEY_CURRENT_USER/Software /Wine/ Direct3D navigieren
    Dann Rechtsklick Neu und Zeichenfolge. Name:"DirectDrawRenderer" ( Bitte auf Groß und kleinschreibung achten). Dann den Wert ändern auf "opengl". Danach wär gut wenn DirectX auch deinen Videospeichern kennen würde. Dazu wieder neue Zeichenfolge. Name:"VideoMemorySize" Danach Wert ändern auf deinen Videospeicher. Bei meiner EVGA GTX 260 würde zb 896 drinne stehen.

    Probier eben mal Und wie gesagt DX ist zwingend erforderlich. NATIV!

    EDIT: Wegen Sound? ALSA haste eingestellt oder? Und dein Sound ruckelt? Was hastn für eine CPU? Hatte das bei alten Pc da musste ich powernowd ausschalten in den Diensten. CPU regelt sich selbst ständig hoch und runter und bei Switch gibts Soundlagg
    Last edited by LynxEffect; 25.10.2010 at 16:20. Reason: Noch eine Fragen hinzugefügt ;)

  9. View Forum Posts #29 Reply With Quote
    Ritter
    Join Date
    Jun 2009
    Posts
    1,461
     
    Aeterox is offline
    Quote Originally Posted by LynxEffect View Post
    uuuh eine ATI und Linux? Uuuh das nix gut. ATI weigert sich für Linux Treiber herzustellen, also was zumindest das aktuellere Zeug angeht.
    ATI stellt Treiber für Linux bereit. Nur unterstützen sie keine alten Grafikkarten mehr mit den neuen Treibern, was ein Problem darstellt, da aktuelle XServer-Versionen auch die neusten Treiberversionen erfordern. Man kann also nichtmal die alten Treiber verwenden, ohne ein komplett veraltetes System mit einem alten XServer zu nutzen (beispielsweise Ubuntu 8.10).
    Diese Marketing-Stragie, um Nutzer zum Kauf neuer Modelle zu bringen, ist nicht nur auf Linux beschränkt. Auch Windows-Treiber gibt es keine neuen mehr für ältere Modelle. Nur fällt hier das XServer-Problem weg.

    Soweit ich weiß haben die Entwickler der Opensource-Treiber auch eine Dokumentation von ATI bekommen, somit werden sie unterstützt. Nouveau andererseits muss alles ohne Dokumentation zum Laufen bringen, was natürlich länger dauert.

  10. Visit Homepage View Forum Posts #30 Reply With Quote
    Sword Master Bas's Avatar
    Join Date
    Jun 2008
    Posts
    884
     
    Bas is offline
    Quote Originally Posted by LynxEffect View Post
    Naja bezweifel ich das es so einfach möglich ich Halte dich an die Sachen in der APPDB, mehr weiß ich auch nicht.

    Also bei mir gehen alle Gothic Versionen xD Außer die 3
    Is teilweise richtig geil Intel + Nvidia zu haben


    Texturfehler scheinen Treiber bedingt zu sein wie schon gesagt worden ist bei dir. Das müsstest du mal selber probieren da kann ich leider nix machen. Vllt hilft es noch opengl einzustellen. Probieren geht über studieren ...

    Geh in die Konsole
    Code:
    wine regedit
    Dann bis HKEY_CURRENT_USER/Software /Wine/ Direct3D navigieren
    Dann Rechtsklick Neu und Zeichenfolge. Name:"DirectDrawRenderer" ( Bitte auf Groß und kleinschreibung achten). Dann den Wert ändern auf "opengl".
    SChlüssel existiert nicht, soll ich den einfach anlegen?

    Probier eben mal Und wie gesagt DX ist zwingend erforderlich. NATIV!
    Du meinst bei den Bibliotheken, oder?

    EDIT: Wegen Sound? ALSA haste eingestellt oder? Und dein Sound ruckelt? Was hastn für eine CPU? Hatte das bei alten Pc da musste ich powernowd ausschalten in den Diensten. CPU regelt sich selbst ständig hoch und runter und bei Switch gibts Soundlagg
    ALSA ist eingestellt, den ruckelnden Sound habe ich scheinbar nur in Gothic.

    2.1Ghz Single Core

    Wo stell ich denn die Dienste um?
    Die alte Signatur, die nervte nur.

  11. View Forum Posts #31 Reply With Quote
    Lehrling
    Join Date
    Oct 2010
    Posts
    19
     
    LynxEffect is offline
    Quote Originally Posted by Aeterox View Post
    ATI stellt Treiber für Linux bereit. Nur unterstützen sie keine alten Grafikkarten mehr mit den neuen Treibern, was ein Problem darstellt, da aktuelle XServer-Versionen auch die neusten Treiberversionen erfordern. Man kann also nichtmal die alten Treiber verwenden, ohne ein komplett veraltetes System mit einem alten XServer zu nutzen (beispielsweise Ubuntu 8.10).
    Diese Marketing-Stragie, um Nutzer zum Kauf neuer Modelle zu bringen, ist nicht nur auf Linux beschränkt. Auch Windows-Treiber gibt es keine neuen mehr für ältere Modelle. Nur fällt hier das XServer-Problem weg.

    Soweit ich weiß haben die Entwickler der Opensource-Treiber auch eine Dokumentation von ATI bekommen, somit werden sie unterstützt. Nouveau andererseits muss alles ohne Dokumentation zum Laufen bringen, was natürlich länger dauert.
    Trotzdem weigert sich ATI bzw AMD Auch nur aktuell zu ziehen mit Treibern die sie schon auf Windows haben. Das isn Fakt Ansonsten geb ich dir Recht.

    Quote Originally Posted by Bas View Post
    SChlüssel existiert nicht, soll ich den einfach anlegen?
    Ja leg ihn einfach an! Einfach auf NEU -> Schlüssel. Wenns nicht funktioniert kannste ja immer noch löschen.

    Quote Originally Posted by Bas View Post
    Du meinst bei den Bibliotheken, oder?
    Ja genau da. Dafür benutze aber winetricks. Lad es dir notfalls HIER runter als Script. (Rechtsklick Speichern unter als .sh).

    Im Terminal dann Die Datei ausführbar machen.

    Code:
    sudo chmod +x /pfad/zur/datei/winetricks.sh
    Und danach um DX zu installieren

    Code:
    sh /pfad/zur/datei/winetricks.sh d3dx9_36
    Quote Originally Posted by Bas View Post
    ALSA ist eingestellt, den ruckelnden Sound habe ich scheinbar nur in Gothic.

    2.1Ghz Single Core

    Wo stell ich denn die Dienste um?
    Das weiß ich garnicht mehr genau wie ich das gemacht hab xD Glaub mit BUM.

    Code:
    sudo apt-get install bum
    System -> Systemverwaltung -> BootUp-Manager

  12. View Forum Posts #32 Reply With Quote
    Ritter
    Join Date
    Jun 2009
    Posts
    1,461
     
    Aeterox is offline
    Quote Originally Posted by LynxEffect View Post
    Trotzdem weigert sich ATI bzw AMD Auch nur aktuell zu ziehen mit Treibern die sie schon auf Windows haben. Das isn Fakt Ansonsten geb ich dir Recht.
    Es stimmt schon, dass die Windows-Treiber besser sind. Die Frage ist aber, ob sie die aktuellen Windows-Treiber auch für Linux verwenden könnten. Ich bezweifle das sehr stark, aber natürlich wäre es dennoch wünschenswert mehr Mühe/Kosten reinzustecken, um mit Windows mitzuziehen.

    Naja, bald wird fglrx keine Rolle mehr spielen denke ich. Die Opensource-Treiber holen mittlerweile recht schnell auf, wobei noch ein Stück fehlt. In einem Jahr sieht das vielleicht anders aus .
    Last edited by Aeterox; 26.10.2010 at 15:56.

  13. View Forum Posts #33 Reply With Quote
    Lehrling
    Join Date
    Oct 2010
    Posts
    19
     
    LynxEffect is offline
    Quote Originally Posted by Aeterox View Post
    Es stimmt schon, dass die Windows-Treiber besser sind. Die Frage ist aber, ob sie die aktuellen Windows-Treiber auch für Linux verwenden könnten. Ich bezweifle das sehr stark, aber natürlich wäre es dennoch wünschenswert mehr Mühe/Kosten reinzustecken, um mit Windows mitzuziehen.

    Naja, bald wird fglrx keine Rolle mehr spielen denke ich. Die Opensource-Treiber holen mittlerweile recht schnell auf, wobei noch ein Stück fehlt. In einem Jahr sieht das vielleicht anders aus .
    Hab nicht behauptet das man Windowstreiber für Linux einsetzen kann Das geht sowieso nicht Müssten eigenständig nochmal programmiert werden und das will AMD einfach nicht. Nvidia sind da schon etwas bereiter....jetzt nicht so viel mehr aber immerhin!


    BTT:

    Wer den Fehler mit der VDFS bekommt soll einfach mal beide VDFS32.exe (NICHT DLL) löschen bzw in ein Backupordner legen. So verschwindet der Fehler am Start.

  14. Visit Homepage View Forum Posts #34 Reply With Quote
    Sword Master Bas's Avatar
    Join Date
    Jun 2008
    Posts
    884
     
    Bas is offline
    Keiner einen Tipp für den ruckelnden Sound und fehlenden Texturen bei mir?
    Die alte Signatur, die nervte nur.

  15. View Forum Posts #35 Reply With Quote
    Waldläufer
    Join Date
    Nov 2010
    Posts
    127
     
    Ragnarok1349 is offline
    der thread is ja nun schon n bisschen älter, ich hoffe aber trotzdem antworten zu bekommen....

    da ich mich schon längere zeit mit der G2 installation unter Win7 rumgeschlagen hab, und leider nichts von den hier im Forum genannten Lösungen zu meinem Problem passte (die installation startet nichtmal, da bekomm ich ne "System is out of memory" Fehlermeldung, was eig nicht sein kann..), ist mir der Einfall gekommen G2 einfach unter Ubuntu zu installieren nachdem ich diesen Thread gefunden hatte..
    Hab die Anleitung soweit befolgt, jedoch krieg ich ne Fehlermeldung beim start von G2: "Kein CD/DVD Laufwerk gefunden."
    Allerdings ist das Ubuntu auch nur virtuell in VirtualBox, was aber doch eigentlich keinen Unterschied machen sollte?
    Last edited by Ragnarok1349; 15.03.2011 at 19:27.

  16. View Forum Posts #36 Reply With Quote
    Moderator TazmanDevil's Avatar
    Join Date
    Aug 2008
    Location
    Diesseits des grossen Teiches
    Posts
    31,737
     
    TazmanDevil is offline
    Installiere mal noch die Report-Version (gothic2_fix-1.30.0.0.exe im Falle von G2-Classic, gothic2_fix-2.6.0.0-rev2.exe im Falle von G2-DNdR).

    GuestAdditions sind installiert und 3D-Support vom Host-System aktiviert? Wenn nicht, stehst Du nämlich nach der Überwindung des Laufwerk-Problems gleich vor dem nächsten.

  17. View Forum Posts #37 Reply With Quote
    Waldläufer
    Join Date
    Nov 2010
    Posts
    127
     
    Ragnarok1349 is offline
    so, hab die report version installiert, 3dsupport und guestadditions waren schon aktiviert/installiert
    der fehler mit dem nicht vorhandenen laufwerk ist nun auch weg, allerdings gibts nen neuen, wäre ja auch zu einfach wenn nicht^^

    "Im Programm Vdfs32g.exe traten schwerwiegende Fehler auf und es muss beendet werden. Wir entschuldigen uns für die Unannehmlichkeit."

    Da ich mich ja schon durch die G2&Addon techn. Hilfe gelesen habe (zumindest die relevant erscheinenden dinge) hab ich an den vdfs patch gedacht, und diesen installiert, der fehler ist aber geblieben...

  18. View Forum Posts #38 Reply With Quote
    Moderator TazmanDevil's Avatar
    Join Date
    Aug 2008
    Location
    Diesseits des grossen Teiches
    Posts
    31,737
     
    TazmanDevil is offline
    Hast Du das schon durch: klick?

    Welche Gothic2 Edition hast Du denn? Eventuell solltest Du es doch nochmal auf Win7 versuchen (z.B: mit der Installation per Batch-Skript).

  19. View Forum Posts #39 Reply With Quote
    Waldläufer
    Join Date
    Nov 2010
    Posts
    127
     
    Ragnarok1349 is offline
    so, das:
    Spoiler:(zum lesen bitte Text markieren)
    hab ich gemacht, wenn ich dndr jetzt starte erhalte ich keine fehlermeldung mehr, das blaue dndr banner kommt, und nach einiger zeit verschwindet es wieder, als wäre nichts gewesen...
    soviel zu ubuntu..

    die installation per batch skript unter win7 hab ich schon mehrmals probiert, komischerweise hats diesmal funktioniert... ich glaub ich werd pcs nie ganz verstehn
    nachdem ich dndr starte kommt aber nach recht kurzer zeit die meldung "Gothic II funktioniert nicht mehr" (mit den dazugehörigen "Online nach einer Lösung suchen" und "Programm schließen" Schaltflächen).

    edit: hab den report version patch draufgeklatscht, zurzeit ist die meldung nicht da, ich warte noch darauf, dass etwas passiert...

  20. View Forum Posts #40 Reply With Quote
    Moderator TazmanDevil's Avatar
    Join Date
    Aug 2008
    Location
    Diesseits des grossen Teiches
    Posts
    31,737
     
    TazmanDevil is offline
    Quote Originally Posted by Ragnarok1349 View Post
    so, das:
    Spoiler:(zum lesen bitte Text markieren)
    hab ich gemacht, wenn ich dndr jetzt starte erhalte ich keine fehlermeldung mehr, das blaue dndr banner kommt, und nach einiger zeit verschwindet es wieder, als wäre nichts gewesen...
    soviel zu ubuntu..

    die installation per batch skript unter win7 hab ich schon mehrmals probiert, komischerweise hats diesmal funktioniert... ich glaub ich werd pcs nie ganz verstehn
    nachdem ich dndr starte kommt aber nach recht kurzer zeit die meldung "Gothic II funktioniert nicht mehr" (mit den dazugehörigen "Online nach einer Lösung suchen" und "Programm schließen" Schaltflächen).

    edit: hab den report version patch draufgeklatscht, zurzeit ist die meldung nicht da, ich warte noch darauf, dass etwas passiert...
    D.H. Gothic2 startet nicht? Schau mal nach, ob einer Rundll32.exe ziemlich viel CPU benötigt (bzw eine komplette CPU auslastet). In dem Fall hast Du ein Problem mit dem Games-Explorer von Windows, ein Workaround gibt es hier: klick

Page 2 of 3 « First 123 Last »

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
Impressum | Link Us | intern
World of Gothic © by World of Gothic Team
Gothic, Gothic 2 & Gothic 3 are © by Piranha Bytes & Egmont Interactive & JoWooD Productions AG, all rights reserved worldwide